Bug 1026775 - glusterd : gluster peer probe fails to add peer already in another cluster with unclear error message
glusterd : gluster peer probe fails to add peer already in another cluster wi...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 07:24 EST by Vijaykumar Koppad
Modified: 2016-02-17 19:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:13:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-11-05 07:24:20 EST
Description of problem: gluster peer probe fails to add peer already in cluster with unclear error message. It just fails with out giving any reason for failure, which in fact is part for another cluster. 

gluster peer probe 10.70.43.114 
peer probe: failed: 



Version-Release number of selected component (if applicable):glusterfs-3.4.0.39rhs-1


How reproducible: happens everytime 


Steps to Reproduce:
1.try to peer probe a node which is part of another cluster and check the error message.

Actual results:It fails with unclear error message.


Expected results: It should fail with clear error message like " already part of another cluster" something similar to that. 


Additional info:
Comment 4 Vivek Agarwal 2015-12-03 12:13:18 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.